Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.xmlgraphics.image.writer
Enum ResolutionUnit

    java.lang.Object
      java.lang.Enum<ResolutionUnit>
          org.apache.xmlgraphics.image.writer.ResolutionUnit

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ResolutionUnit>

    public enum ResolutionUnit

extends java.lang.Enum<ResolutionUnit>

Enumeration for resolution units used by images; 1 for None, 2 for Inch and 3 for Centimeter.

Enum Constant Summary
`CENTIMETER` units per centimeter
`INCH` units per inch
`NONE` no resolution unit

Method Summary
`static ResolutionUnit` | `get(int value)` Reverse lookup by value.
`java.lang.String` | `getDescription()` Retrieves the standard textual description of the resolution unit.
`int` | `getValue()` Retrieves the numeric value of the resolution unit.
`static ResolutionUnit` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ResolutionUnit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final ResolutionUnit NONE

  no resolution unit

### INCH

    public static final ResolutionUnit INCH

  units per inch

### CENTIMETER

    public static final ResolutionUnit CENTIMETER

  units per centimeter

Method Detail

### values

    public static ResolutionUnit[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ResolutionUnit c : ResolutionUnit.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ResolutionUnit valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValue

    public int getValue()

  Retrieves the numeric value of the resolution unit.

  Returns:
    1, 2 or 3.

### getDescription

    public java.lang.String getDescription()

  Retrieves the standard textual description of the resolution unit.

  Returns:
    None, Inch or Centimeter.

### get

    public static ResolutionUnit get(int value)

  Reverse lookup by value.

  Parameters:
    `value` - the numeric value of the resolution unit
  Returns:
    the resolution unit

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.